Bug 1012202 - dictd fails to build from source for F19
dictd fails to build from source for F19
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dictd (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 22:14 EDT by D. Marlin
Modified: 2015-02-17 12:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:21:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description D. Marlin 2013-09-25 22:14:50 EDT
Description of problem:

The dictd package fails to build from source in mock for F19.


Version-Release number of selected component (if applicable):

dictd-1.12.0-5.fc19


How reproducible:

consistently.


Steps to Reproduce:
1. copy the srpm to an F19 host (with mock configured)
2. attempt to build the package:
  mock -r fedora-19-x86_64 --rebuild dictd-1.12.0-5.fc19.src.rpm
3.


Actual results:

    :
install: cannot create regular file '/builddir/build/BUILDROOT/dictd-1.12.0-5.x1.fc19.aarch64/%{_unitdir}/dictd.service': No such file or directory


Expected results:

Package builds without errors.


Additional info:

The package now needs a:

  BuildRequires: systemd-units

in order to install the required macro definitions for _unitdir.
Comment 1 D. Marlin 2013-09-25 22:42:42 EDT
Sorry, the "Actual results:" message was from a different run (but with the same error).  Below is the actual result message from the x86_64 run:

    :
+ install -m 755 /builddir/build/SOURCES/dictd.service '/builddir/build/BUILDROOT/dictd-1.12.1-1.fc19.x86_64/%{_unitdir}/dictd.service'
install: cannot create regular file '/builddir/build/BUILDROOT/dictd-1.12.1-1.fc19.x86_64/%{_unitdir}/dictd.service': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.kBXcf0 (%install)
Comment 2 Fedora End Of Life 2015-01-09 14:59:04 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 12:21:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.